//= require lib/tags

$(function() {
  $.pageslide.closeCallback(function(pageslide, item) {
	  $('.filter-item').removeClass("active");
	});
	$.pageslide.loadComplete(function(pageslide, item) {
	  $('.filter-item').removeClass("active");
	  item.closest('li').addClass('active');
    if(item.data('id') == 'new') {
      resetForm();
    	pageslide.find('form').attr('action', '/admin/tags/');
    	pageslide.find('form').attr('method', 'post');
    }
    else {
      setForm(item.data('form'));
      pageslide.find('form').attr('action', '/admin/tags/' + item.data('id'));
    	pageslide.find('form').attr('method', 'put');
    }
	});
})